[Data]
TestingDataFrame: testing_data_frame.csv
TrainingDataFrame: training_data_frame.csv
TotalDataFrame: all_data.csv

[Mode]
HyperparameterTuning: No
Training: Yes
Testing: Yes
EvaluateOnly: No
Train1DataPercentage: 0.6
Train2DataPercentage: 0.3
Sigma: 3

[SubSystems]
SubSystems: ["ISI", "LSC", "HPI"]

[ISIMLAParams]
Layers: 2
Nodes: [32]
Activation: ['elu']
DropOut: [0.0, 0.0, 0.0]
L1Weight = [0.0, 0.0]
L2Weight = [0.0, 0.0]
Epochs: 6000
BatchSize: 16
Optimizer: Nadam
LearningRate: 0.001
Loss: binary_crossentropy
MetricsCompiler: accuracy
Monitor: val_loss
MinDelta: 0.0001
Patience: 15
EarlyStoppingMode: auto

[LSCMLAParams]
Layers: 2
Nodes: [32]
Activation: ['elu']
DropOut: [0.0, 0.0, 0.0]
L1Weight = [0.0, 0.0]
L2Weight = [0.0, 0.0]
Epochs: 6000
BatchSize: 16
Optimizer: Nadam
LearningRate: 0.001
Loss: binary_crossentropy
MetricsCompiler: accuracy
Monitor: val_loss
MinDelta: 0.0001
Patience: 15
EarlyStoppingMode: auto

[HPIMLAParams]
Layers: 2
Nodes: [32]
Activation: ['elu']
DropOut: [0.0, 0.0, 0.0]
L1Weight = [0.0, 0.0]
L2Weight = [0.0, 0.0]
Epochs: 6000
BatchSize: 16
Optimizer: Nadam
LearningRate: 0.0001
Loss: binary_crossentropy
MetricsCompiler: accuracy
Monitor: val_loss
MinDelta: 0.0001
Patience: 15
EarlyStoppingMode: auto

[Combiner]
Layers: 2
Nodes: [9,10]
Activation: ['relu','softmax']
DropOut: [0.0, 0.0]
L1Weight = [0.0, 0.0]
L2Weight = [0.0, 0.0]
Epochs: 6000
BatchSize: 16
Optimizer: Nadam
LearningRate: 0.001
Loss: binary_crossentropy
MetricsCompiler: accuracy
Monitor: val_loss
MinDelta: 0.0001
Patience: 15
EarlyStoppingMode: auto

[Output]
ModelSavePath: ./savedmodel
ModelSaveName: test_model.h5
AccOverEpochsFileName: acc_over_epochs.png
ValLossPlotFileName: plot_val_loss.png
LogROCFileName: log_roc.png
LinearROCFileName: linear_roc.png
HistogramFileName: histogram.png
CombinedROCFileName: combined_roc.png
